
function Trinity_UpdateXP(statusbar)

	local currXP = UnitXP("player");
	local nextXP = UnitXPMax("player");
	local percentXP = (currXP/nextXP)*100;
	local restedXP = GetXPExhaustion();	
	
	if (restedXP ~= nil) then		
		Trinity_XPRestedInfo:SetText(restedXP.." rested");
		statusbar:SetStatusBarColor(0.0, 0.39, 0.88, 1.0);
	else
		Trinity_XPRestedInfo:SetText("No rested experience");
		statusbar:SetStatusBarColor(0.58, 0.0, 0.55, 1.0);
	end	
	
	percentXP = string.gsub(percentXP,"(%d*)(%.)(%d*)","%1");
	
	statusbar:SetMinMaxValues(0, nextXP);
	statusbar:SetValue(currXP);
	
	Trinity_XPPercent:SetText(percentXP.."%");
	Trinity_XPInfo:SetText(currXP.."/"..nextXP);
	
end